// PlotData.h: interface for the CPlotData class.
//
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
//

#if !defined(AFX_PLOTDATA_H__91277FC1_4F28_11D3_A232_00A0C996E7F5__INCLUDED_)
#define AFX_PLOTDATA_H__91277FC1_4F28_11D3_A232_00A0C996E7F5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "WaveVueDoc.h"
#include "Cfft.h"



#define DISPBUF_SIZE 2048
#define MAX_SCRN_SIZE (4096)

#define MAX_FFTVALUE 160
#define MIN_FFTVALUE -160


class CPlotData  
{
public:
	void SetFFTParams( BOOL complex, double offset);
	CPlotData( CWaveVueDoc* pDoc);
	virtual ~CPlotData();

	void OnDrawPlot( CFormView* pView, CDC* pDC);
	void DrawPlot(CDC* pDC);
	BOOL CurInPlot(CPoint pt){return m_rPlot.PtInRect(pt);}
	INT GetCursorSecs(int startsec, int stopsec, int xpos)
	{
		return startsec + ((stopsec-startsec)*xpos)/m_rPlot.Width();
	};

private:
// functions
	void PlotHorzFFTWater();
// variables
	INT m_TranslateTbl[DISPBUF_SIZE];
	INT m_pDispBuf[DISPBUF_SIZE];
	_int32 m_pDataBuf[FFTSIZE*4];
	CRect m_rPlot;			// client plot screen rectangle coordinates
	CRect m_rLastPlot;
	RECT m_rPlotsize;		// size of the plot screen bitmap
	CBitmap m_bmPlot;		// bitmap image of plot window
	CWaveVueDoc *m_pDoc;
	CDC m_MemDC;
	Cxfft m_FFT;
	CString m_Str;
};

#endif // !defined(AFX_PLOTDATA_H__91277FC1_4F28_11D3_A232_00A0C996E7F5__INCLUDED_)
